<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\EloquentSortable\Sortable;
use Spatie\EloquentSortable\SortableTrait;

class Vehicles extends Model implements Sortable
{
    use SortableTrait;
    
    public $sortable = [
        'order_column_name' => 'owner',
        'sort_when_creating' => true,
    ];

    protected $table = 'vehicles';

    protected $fillable = [
    'year',
    'make',
    'model',
    'type',
    'doNotJudge',
    'owner'
    ];

    protected $dates = [
    'created_at',
    'updated_at'
    ];

    public function vehicleType()
    {
        return $this->belongsTo('App\Models\CarShowCategory', 'type', 'id');
    }

    public function vehicleOwner()
    {
        return $this->belongsTo('App\Models\Bidders', 'owner', 'bidder_assigned_number');
    }

    public function vehicleScores()
    {
        return $this->hasMany('App\Models\VechicleScores', 'id', 'vehicle');
    }

    public function CarShowWinner()
    {
        return $this->belongsTo('App\Models\CarShowWinner', 'id', 'vehicle');
    }
}
